Bug 593967 - [abrt] crash in syncevolution-1.0beta3-1.fc13: syncevo-http-server:8:<module>:ImportError: No module named twisted.internet
Summary: [abrt] crash in syncevolution-1.0beta3-1.fc13: syncevo-http-server:8:<module>...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: syncevolution
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3d6621ba
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-20 07:49 UTC by Blonďák
Modified: 2010-06-25 18:12 UTC (History)
2 users (show)

Fixed In Version: syncevolution-1.0-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-25 18:12:01 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (597 bytes, text/plain)
2010-05-20 07:49 UTC, Blonďák
no flags Details

Description Blonďák 2010-05-20 07:49:42 UTC
abrt 1.1.0 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/syncevo-http-server --help
comment: Probably missing dependencies, after installing python-twisted-web.x86_64 works.
component: syncevolution
executable: /usr/bin/syncevo-http-server
kernel: 2.6.33.4-95.fc13.x86_64
package: syncevolution-1.0beta3-1.fc13
reason: syncevo-http-server:8:<module>:ImportError: No module named twisted.internet
release: Fedora release 13 (Goddard)
How to reproduce: run syncevo-http-server

backtrace
-----
syncevo-http-server:8:<module>:ImportError: No module named twisted.internet

Traceback (most recent call last):
  File "/usr/bin/syncevo-http-server", line 8, in <module>
    from twisted.internet import glib2reactor # for non-GUI apps
ImportError: No module named twisted.internet

Local variables in innermost frame:
__builtins__: <module '__builtin__' (built-in)>
__file__: '/usr/bin/syncevo-http-server'
__package__: None
DBusGMainLoop: <built-in function DBusGMainLoop>
__name__: '__main__'
__doc__: 'Usage: syncevo-http-server.py <URL>\nRuns a SyncML HTTP server under the given base URL.'

Comment 1 Blonďák 2010-05-20 07:49:44 UTC
Created attachment 415334 [details]
File: backtrace

Comment 2 Blonďák 2010-05-20 11:59:46 UTC
Probably only missing dependencies in package, after installing python-twisted-web.x86_64 component works

Comment 3 Peter Robinson 2010-05-23 22:19:23 UTC
I'm looking to break the server component out into a sub package. Thanks for picking that up.

Comment 4 Fedora Update System 2010-06-20 20:52:30 UTC
syncevolution-1.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/syncevolution-1.0-2.fc13

Comment 5 Fedora Update System 2010-06-21 21:41:54 UTC
syncevolution-1.0-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update syncevolution'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/syncevolution-1.0-2.fc13

Comment 6 Fedora Update System 2010-06-25 18:11:33 UTC
syncevolution-1.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.